#
# sgpk04.rb
#
# $Id: sgpk04.rb,v 1.1 2000/11/21 03:02:07 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu
include NMath


n = 41
x = NArray.sfloat(n)
y = NArray.sfloat(n)

#-- data ---
dt = 4.0* 3.14159 / (n-1)
x = x.indgen * (1.0/(n-1))
y = y.indgen * dt
y = sin(y) * 0.15

#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; DCL::sgpwsn; gets)).to_i
DCL::sgopn iws

DCL::sgfrm
DCL::sgswnd(0.0, 1.0, -0.8, 0.2)
DCL::sgsvpt(0.1, 0.9, 0.1, 0.9)
DCL::sgstrn(1)
DCL::sgstrf

DCL::sglset('LCLIP', true)
DCL::slpvpr(1)

DCL::sgpmu(x, y)                   # <--マーカー描画(1列目)

DCL::sgswnd(0.0, 1.0, -0.7, 0.3)
DCL::sgstrf
DCL::sgspmt(2)                        # <--マーカーtype設定(+)
DCL::sgpmu(x, y)                   # <--マーカー描画(2列目)

DCL::sgswnd(0.0, 1.0, -0.6, 0.4)
DCL::sgstrf
DCL::sgspmt(3)                        # <--マーカーtype設定(*)
DCL::sgpmu(x, y)                   # <--マーカー描画(3列目)

DCL::sgswnd(0.0, 1.0, -0.5, 0.5)
DCL::sgstrf
DCL::sgspmt(4)                        # <--マーカーtype設定(o)
DCL::sgpmu(x, y)                   # <--マーカー描画(4列目)

DCL::sgswnd(0.0, 1.0, -0.4, 0.6)
DCL::sgstrf
DCL::sgspmi(2)                        # <-- マーカー index 設定
DCL::sgpmu(x, y)                   #<--マーカー描画(5列目)

DCL::sgswnd(0.0, 1.0, -0.3, 0.7)
DCL::sgstrf
DCL::sgspmi(3)
DCL::sgspmt(2)

DCL::sgplu(x, y)                   # <-- 折れ線描画
DCL::sgpmu(x, y)                   # <--マーカー描画(6列目)

n1=n/4
y[n1-2] = 999.0                  # <-- 欠損値
y[n1-1] = 999.0
y[n1  ] = 999.0

n2=n1*3
y[n2-2] = 999.0
y[n2  ] = 999.0

DCL::sgswnd(0.0, 1.0, -0.2, 0.8)
DCL::sgstrf
DCL::gllset('LMISS', true)
DCL::sgspmi(2)
DCL::sgspmt(3)

DCL::sgplu(x, y)                   # <-- 折れ線描画
DCL::sgpmu(x, y)                   # <--マーカー描画(7列目)

DCL::sgcls

